<nb-actions size="medium" class="actions-container">
  <!--Compontent Styles overwrite nb-action style. Delete component styles to get rid of this problem.-->
  <nb-action class="left-1" icon="menu-outline" (click)="toggle()">
    <!--<button nbButton status="info" size="tiny" (click)="toggle()">Toggle Compact</button>-->
  </nb-action>

  <nb-action class="left-2">
    <!-- Jarves Home-->
    <app-c-home></app-c-home>
  </nb-action>

  <nb-action class="left-4">
    <app-c-language></app-c-language>
  </nb-action>

  <nb-action class="left-3">
    <app-c-account></app-c-account>
  </nb-action>

  <nb-action class="left-5">
    <app-c-exit></app-c-exit>
  </nb-action>

  <nb-action class="right-1">
    <!-- NFDI4Ing Logo-->
    <a href="https://nfdi4ing.pages.rwth-aachen.de/ta-frank/jarves/overview/">
      <img src="../assets/images/Jarves Logo 5.png" alt="Jarves Logo" style="height: 3rem; width: auto; padding-right: 10px; margin-right: 10px;"/>
    </a>
  </nb-action>

  <!--<nb-action class="frank">
	  <a href="https://nfdi4ing.de/de/archetypes/frank/">
		<img src="../assets/images/Frank_Icon.png" alt="Frank Logo" style="height: 3rem; width: auto;"/>
	  </a>
	</nb-action>-->
  <!--<nb-action class="logo">
	  <a href="https://nfdi4ing.de/">
		<img src="https://blog.rwth-aachen.de/forschungsdaten/files/2019/08/nfdi4ing_logo.png" alt="nfdi4ing" style="height: 3rem; width: auto">
	  </a>
	</nb-action>-->
</nb-actions>

<style>
  .actions-container {
    display: flex;
    justify-content: flex-end; /* Align components to the right */
  }
  .left-1 {
    position: absolute;
    left: 2rem;
  }
  .left-2 {
    position: absolute;
    left: 8rem;
  }
  .left-3 {
    position: absolute;
    left: 14rem;
  }
  .left-4 {
    position: absolute;
    left: 20rem;
  }
  .left-5 {
    position: absolute;
    left: 26rem;
  }
  .right-1 {
    position: absolute;
    right: 20px;
  }

  .logo {
    position: fixed;
    top: 4px;
    right: 0;
    margin-left: auto; /* Aligns the component to the right */
    padding-right: 1rem;
  }

  .frank {
    position: fixed;
    top: 4px;
    right: 1rem; /* Adjust the right value to position it correctly */
    margin-left: auto; /* Aligns the component to the right */
    padding-right: 1rem;
  }
</style>
